Snooze Incident
curl --request POST \
--url http://{host}:{port}/{basePath}/incidents/{name}/snooze \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"duration": "30m",
"reason": "Deploy in progress, will revisit after rollout completes.",
"snoozedBy": "carlos.silva@empresa.com"
}
'{
"apiVersion": "v1",
"kind": "Incident",
"metadata": {
"name": "INC-20260319-001",
"namespace": "production"
},
"status": {
"state": "Analyzing",
"snoozed": true,
"snoozedBy": "carlos.silva@empresa.com",
"snoozedAt": "2026-03-19T15:35:00Z",
"snoozeUntil": "2026-03-19T16:05:00Z",
"snoozeReason": "Deploy em andamento, verificar apos conclusao"
}
}
Incidents
Snooze Incident
Snoozes notifications for an incident for a specified duration
POST
/
incidents
/
{name}
/
snooze
Snooze Incident
curl --request POST \
--url http://{host}:{port}/{basePath}/incidents/{name}/snooze \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"duration": "30m",
"reason": "Deploy in progress, will revisit after rollout completes.",
"snoozedBy": "carlos.silva@empresa.com"
}
'{
"apiVersion": "v1",
"kind": "Incident",
"metadata": {
"name": "INC-20260319-001",
"namespace": "production"
},
"status": {
"state": "Analyzing",
"snoozed": true,
"snoozedBy": "carlos.silva@empresa.com",
"snoozedAt": "2026-03-19T15:35:00Z",
"snoozeUntil": "2026-03-19T16:05:00Z",
"snoozeReason": "Deploy em andamento, verificar apos conclusao"
}
}
Unique incident name (e.g.,
INC-20260319-001)Snooze duration in Go duration format (e.g.,
30m, 1h, 2h30m)Reason for snoozing the incident
Identifier of the user snoozing the incident
{
"apiVersion": "v1",
"kind": "Incident",
"metadata": {
"name": "INC-20260319-001",
"namespace": "production"
},
"status": {
"state": "Analyzing",
"snoozed": true,
"snoozedBy": "carlos.silva@empresa.com",
"snoozedAt": "2026-03-19T15:35:00Z",
"snoozeUntil": "2026-03-19T16:05:00Z",
"snoozeReason": "Deploy em andamento, verificar apos conclusao"
}
}
{
"apiVersion": "v1",
"kind": "Error",
"error": {
"code": 400,
"message": "Invalid duration",
"details": "The 'duration' field must be in Go duration format (e.g., 30m, 1h, 2h30m). Maximum: 24h"
}
}
Authorizations
Bearer token issued by the operator. Format: Authorization: Bearer <token>.
Path Parameters
Unique incident name.
Example:
"INC-20260319-001"
Body
application/json
Snooze duration in Go duration format (e.g. 30m, 1h, 2h30m). Max 24h.
Example:
"30m"
Reason for snoozing.
Example:
"Deploy in progress, will revisit after rollout completes."
User identifier snoozing the incident.
Example:
"carlos.silva@empresa.com"
⌘I